com.ihr.xbrl.om.table.structural

## Class XBRLClosedRelationshipStructuralNode<T>

- java.lang.Object
- - com.ihr.xbrl.om.table.structural.XBRLStructuralNode
  - - com.ihr.xbrl.om.table.structural.XBRLClosedRelationshipStructuralNode<T>

- Type Parameters:
    `T` - the generic type
  All Implemented Interfaces:
    Aspect<T>, StructuralNodeInterface
  Direct Known Subclasses:
    XBRLConceptClosedRelationshipStructuralNode, XBRLDimensionClosedRelationshipStructuralNode

      public abstract class XBRLClosedRelationshipStructuralNode<T>
      extends XBRLStructuralNode
      implements Aspect<T>

  The Class XBRLClosedRelationshipStructuralNode.
  Author:
    Ignacio

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XBRLClosedRelationshipStructuralNode(XBRLDefinitionNodeUse dnu, XBRLStructuralNode parent, java.util.Hashtable<java.lang.String,java.util.Hashtable<java.lang.Object,AspectAndDistanceToLeaf>> mergeAspects, java.lang.String mergeTagSelectors, RelationshipGraphNode.Node<?> node)` Instantiates a new XBRL closed relationship structural node.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Hashtable<java.lang.String,java.util.Hashtable<java.lang.Object,AspectAndDistanceToLeaf>>` | `collectAspects()` Collect aspects on this node and returns a structure with aspects indexed by tag.
    `RelationshipGraphNode.Node<?>` | `getNode()` Gets the node.
    `int` | `getValueCount()` Returns the number of nodes for this structural node at this level (does not count children nodes) For closed nodes, the returned value is most likely 1.
    `boolean` | `isAbstract()` Returns true if this is a rule node and it is marked as abstract.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class com.ihr.xbrl.om.table.structural.XBRLStructuralNode

      `addChild, addMergeAspect, create, create, createRollup, getAspects, getBase, getConsolidatedAspects, getDistanceToLeaf, getLabel, getLocalAspects, getLocalTags, getMergeTagSelector, getNodeAt, getNodeCount, getNodes, getParent, getTags, getTagSelector, hasAspect, isLeaf, isRollUp, resetDistanceToLeaf, resetMergeTagSelector`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.ihr.xbrl.om.table.structural.Aspect

      `getAspectClashIdentity, getAspectType, getMember`

- - ### Constructor Detail

    - #### XBRLClosedRelationshipStructuralNode

          public XBRLClosedRelationshipStructuralNode(XBRLDefinitionNodeUse dnu,
                                              XBRLStructuralNode parent,
                                              java.util.Hashtable<java.lang.String,java.util.Hashtable<java.lang.Object,AspectAndDistanceToLeaf>> mergeAspects,
                                              java.lang.String mergeTagSelectors,
                                              RelationshipGraphNode.Node<?> node)

      Instantiates a new XBRL closed relationship structural node.
      Parameters:
        `dnu` - the dnu
        `parent` - the parent
        `mergeAspects` - the merge aspects
        `mergeTagSelectors` - the merge tag selectors
        `node` - the node

  - ### Method Detail

    - #### isAbstract

          public boolean isAbstract()

      Description copied from class: `XBRLStructuralNode`
      Returns true if this is a rule node and it is marked as abstract.
      Specified by:
        `isAbstract` in class `XBRLStructuralNode`
      Returns:
        boolean value

    - #### getValueCount

          public int getValueCount()

      Description copied from class: `XBRLStructuralNode`
      Returns the number of nodes for this structural node at this level (does not count children nodes) For closed nodes, the returned value is most likely 1. There might be exceptions if the concept is abstract. In that case, the returned value might be 0 For open nodes, the returned value depends on the number of values that bind to the node definition and table filters
      Specified by:
        `getValueCount` in class `XBRLStructuralNode`
      Returns:
        the value count

    - #### getNode

          public RelationshipGraphNode.Node<?> getNode()

      Gets the node.
      Returns:
        the theNode

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `XBRLStructuralNode`

    - #### collectAspects

          public java.util.Hashtable<java.lang.String,java.util.Hashtable<java.lang.Object,AspectAndDistanceToLeaf>> collectAspects()

      Description copied from class: `XBRLStructuralNode`
      Collect aspects on this node and returns a structure with aspects indexed by tag.
      Overrides:
        `collectAspects` in class `XBRLStructuralNode`
      Returns:
        the hashtable